﻿using System.Collections.Immutable;

namespace Connected.Common.Workspace.Identities;
/// <summary>
/// The provider service used for providing identity descriptors.
/// </summary>
public interface IIdentityService
{
	/// <summary>
	/// Queries identities for the specified set of entity types and their ids.
	/// </summary>
	/// <param name="args">The arguments containing entity types and their ids.</param>
	/// <returns>The list of identities that matches the specified criteria.</returns>
	Task<ImmutableList<IIdentity>> Query(QueryIdentitiesArgs args);
}
